using System.Globalization;
using UnityEngine;
using TMPro; // Nécessaire pour TextMeshPro

public class UIManager : MonoBehaviour
{
    // Références pour la distance et les pièces (mode normal)
    public TextMeshProUGUI distanceText;
    public TextMeshProUGUI numberCoinsText;

    // Variables pour distance et pièces
    private float distance = 0f;
    private int coins = 0;
    void Update()
    {
        distanceText.text = distance.ToString("F1", CultureInfo.InvariantCulture) + "M";
        numberCoinsText.text = coins.ToString();
    }
}
